# vim: ft=nginx
map $host $z_push { default z-push; }

server {
    listen      80;
    listen      [::]:80;
    server_name shore.co.il;
    include     snippets/robots-allow-all.conf;
    include     snippets/ads-txt.conf;
    include     snippets/security-txt.conf;
    include     snippets/matrix-well-known.conf;
    include     snippets/www-acme-challenge.conf;
    include     snippets/redirect-www.conf;

    location = /        { return 301 https://www.shore.co.il/blog/; }
}

server {
    listen      443 ssl http2;
    listen      [::]:443 ssl http2;
    server_name shore.co.il;
    include     snippets/robots-allow-all.conf;
    include     snippets/ads-txt.conf;
    include     snippets/security-txt.conf;
    include     snippets/ssl-legacy.conf;
    include     snippets/nextcloud-well-known.conf;
    include     snippets/matrix-well-known.conf;
    include     snippets/activesync.conf;
    include     snippets/redirect-www.conf;

    location = /        { return 301 https://www.shore.co.il/blog/; }
}
